Skip to main content
GET
/
v1
/
crm
/
transactions
/
by-reference
/
{referenceId}
List Transactions by Reference
curl --request GET \
  --url https://api.example.com/v1/crm/transactions/by-reference/{referenceId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "dateTime": "<string>",
    "authCode": "<string>",
    "authResponse": "<string>",
    "authSource": "<string>",
    "transactionCode": "<string>",
    "entryMode": "<string>",
    "cardLast4": "<string>",
    "cardExpiration": "<string>",
    "batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "transactionIdentifier": "<string>",
    "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientPath": "<string>",
    "createdAt": "<string>",
    "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updatedAt": "<string>",
    "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

referenceId
string
required

Response

The transactions that share the given reference id.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
referenceId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
host
enum<string>
required
Available options:
tsys,
fiserv
stage
enum<string> | null
required
Available options:
auth,
capture,
settle
type
enum<string>
required
Available options:
auth,
sale,
void,
reversal,
refund,
decline,
hold,
error,
increment,
adjustment,
capture,
settle,
unknown
amount
number | null
required
dateTime
string | null
required
authCode
string | null
required
authResponse
string | null
required
authSource
string | null
required
transactionCode
string | null
required
entryMode
string | null
required
cardBrand
enum<string> | null
required
Available options:
visa,
mastercard,
discover,
amex,
jcb,
diners_club,
ebt,
private_label,
paypal,
other,
unknown
cardLast4
string | null
required
cardExpiration
string | null
required
batchId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
transactionIdentifier
string | null
required
clientId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
clientPath
string
required
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$